{% extends "base.html" %} {% load static%} {% load django_tables2 %} {% load render_table from django_tables2 %}

  {% block internal_css %}
  <link rel="stylesheet" href="{% static 'css/addSeries.css' %}">
  <link rel="stylesheet" href="{% static 'css/table.css' %}">

    {% endblock %}
  {% block external_css %}
  {# <link rel="stylesheet" href="{% static 'css/jquery-ui.theme.css' %}">#}
  {# <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">#}
  <link href="//cdnjs.cloudflare.com/ajax/libs/select2/4.0.0/css/select2.min.css" rel="stylesheet" />
  <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/css/bootstrap-datetimepicker.min.css">
  {% endblock %}
  {% block external_js %}
  {# <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js" integrity="sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU="   crossorigin="anonymous"></script>#}
    <script src="//cdnjs.cloudflare.com/ajax/libs/select2/4.0.0/js/select2.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/js/bootstrap-datetimepicker.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>

  {% endblock %}
  {% block internal_js %}
    <script src="{% static 'js/jquery-ui.min.js' %}" defer></script>
    <script src="{% static 'js/moment.min.js' %}"></script>
    <script src="{% static 'js/addSeries.min.js' %}"></script>
    <script src="{% static 'js/selectableScroll.min.js' %}" defer></script>

    <script>
        var assay_json = {{available_assays | safe}};
        var labs_json = {{labs_list | safe}};
    </script>
{% endblock %}


{% block content %}
<body>
    <main>
        <noscript>
            <META HTTP-EQUIV="Refresh" CONTENT="0;URL=404.html">
        </noscript>
        <form method="POST" enctype="multipart/form-data">{% csrf_token %}
            
            <section id="series">
                <h2 id="series_header"><span id="series_header_section_name" class="header_section_name">Series</span><span id = "series_edit_btn" class = "btn--edit">Edit Series</span><input type="button" id = "series_apply_btn" class = "btn btn--apply" value = "Apply Changes"><span id="series_header_title" class="header_title"></span></h2>
                <div id="series_div">
                    <div class="series_text">
                        <div id="series_title_div" class="series_input">
                            <div  id="series_title_label" class="input_label">Title: <span id="series_title_label_help" class="fas fa-info-circle" data-toggle="tooltip" data-placement="top"></span></div>
                            <input type="text" name="series_title" id="series_title" maxlength="200" autofocus>
                        </div>
                            <div class="input_row">
                                <div id="series_publication_div" class="series_input">
                                    <div class="input_label">Published in:
                                    <span id="series_publication_label_help" class="fas fa-info-circle" data-toggle="tooltip" data-placement="top"></span></div>
                                    <input type="text" name="series_publication" id="publication" maxlength="1000">
                                </div>
                                <div id="series_geo_id_div">
                                    <div class="input_label">GEO series id:
                                    <span id="series_geo_id_label_help" class="fas fa-info-circle" data-toggle="tooltip" data-placement="top"></div>
                                    <input type="text" name="series_geo_id" id="series_geo_id" maxlength="200">{{ form.sra_geo_id }}
                                </div>
                            </div>
                            <div id="series_public_div">
                                <div id="series_public_label" class="input_label">This series is public:
                                    <span id="series_public_label_help" class="fas fa-info-circle" data-toggle="tooltip" data-placement="top"></div>
                                <div id="series_public_radio_buttons">
                                    <input type="radio" name="series_is_public" id="series_is_public_yes" value="True" checked="checked"> Yes
                                    <input type="radio" name="series_is_public" id="series_is_public_no" value="False"> No
                                </div>
                            </div>
                            <div id="series_type_div">
                                <div id="series_type_label" class="input_label">Series Type:</div>
                                <div id="series_type_radio_buttons">
                                    <input type="radio" name="series_type" id="series_survey" value="Survey"> Survey
                                    <!-- <input type="radio" name="series_type" id="series_time_course" value="series_time_course"> Time course -->
                                    <input type="radio" name="series_type" id="series_case_control" value="Case Control"> Case control
                                </div>
                            </div>
                            <div id="series_description_div">
                                <div class="input_label">Description:
                                    <span id="series_description_label_help" class="fas fa-info-circle" data-toggle="tooltip" data-placement="top"></div>
                                <textarea name="series_description" id="series_description" rows=5 cols=100 maxlength="1000"></textarea>
                            </div>
                            <div class="survey input_row">
                                <div class="series_num_samples_div">
                                    <div class="input_label">
                                    Number of biosamples groups:
                                    <span class="series_num_samples_label_help fas fa-info-circle" data-toggle="tooltip" data-placement="top"></div>
                                    <input type="text" name="series_num_samples" class="series_num_samples_input">
                                </div>
                            </div>

                            <div class="case_control input_row">
                                <div class="series_num_samples_div">
                                    <div class="input_label">
                                    Number of biosamples groups (without controls):
                                    <span class="series_num_samples_label_help fas fa-info-circle" data-toggle="tooltip" data-placement="top"></div>
                                    <input type="text" name="series_num_samples" class="series_num_samples_input">
                                </div>
                                <div id="series_num_control_div">
                                    <div  class="input_label">Number of (biological) controls:
                                    <span class="series_num_control_label_help fas fa-info-circle" data-toggle="tooltip" data-placement="top"></div>
                                    <input type="text" name="series_num_control" class="series_num_control_input">
                                </div>
                            </div>

                            <div id="series_replicates_div">
                                <div class="input_label">
                                Maximum number of replicates: <span id="series_num_replicates_label_help" class="fas fa-info-circle" data-toggle="tooltip" data-placement="top"></div>
                                <input type="number" class="number_input" min="0" name="series_num_replicates" id="series_num_replicates_input" placeholder="1">
                            </div>
                            <div id="series_num_assay_div">
                                <div  class="input_label">Number of different assays:
                                <span id="series_num_assays_label_help" class="fas fa-info-circle" data-toggle="tooltip" data-placement="top"></div>
                                <input type="number" class="number_input" min="1" name="series_num_assay" id="series_num_assay_input" value="1">
                            </div>
                            <!-- <button type="submit" name="series_submit" value="series_save" class="btn btn-primary" id="series_save">Save</button>
                             -->
                            <!-- <button type="reset" value="Reset">Reset</button> -->
                            <!-- <button type="submit" name="series_submit" value="series_save" class="btn btn-primary" id="series_save">Save</button>
                             -->
                            <!-- <button type="reset" value="Reset">Reset</button> -->
                    </div>
                </div>
                    <input type="button" class="btn btn--biosample" value="Enter Biosamples" id="create_biosample_button">
            </section>
            <section id="biosample">
                <h2 id="biosample_header"><span id="biosample_header_section_name" class="header_section_name" >Biosample</span><span id = "biosample_edit_btn" class = "btn--edit">Edit Biosample</span><input type="button" id = "biosample_apply_btn" class = "btn btn--apply" value = "Apply Changes"><span id="biosample_header_title" class="header_title"></span></h2>
                <div id="biosample_div">
                    <div id="biosample_grid" class="col-md-10">
                    </div>
                    <div id="biosample_select" class="col-md-2">
                        <div>
                            <input type="button" class="btn btn-outline-secondary btn--select_all" name="select_all" value="Select All Biosamples" id="biosample_select_all_button">
                        </div>
                        <div id="biosample_selected_count" style="text-align: center;">Selected Elements: 0</div>
                        <div data-toggle="tooltip" data-placement="top" id="biosample_lab_parent">
                            <a target="_blank" href="/addLab">Add a lab</a>
                            <select id="biosample_lab_select_parent" class='form-control' name="biosample_lab_select_parent" data-filename="labs"></select>
                        </div>
                        <div data-toggle="tooltip" data-placement="top" id="biosample_genetic_background_parent">
                            <select id="biosample_genetic_background_select_parent" class='selectAutoFill form-control' name="biosample_genetic_background_select_parent" data-filename="genetic_backgrounds"></select>
                        </div>
                        <div data-toggle="tooltip" data-placement="top" id="biosample_sample_type_parent">
                            <select id="biosample_sample_type_select_parent" class='selectAutoFill form-control' name="biosample_sample_type_select_parent" data-filename="biosample_types"></select>
                        </div>
                        <div data-toggle="tooltip" data-placement="top" id="biosample_post_fertilization_parent">
                            <!-- <select  id="biosample_post_fertilization_select_parent" class='selectAutoFill form-control' name="biosample_post_fertilization_select_parent"></select> -->
                            <input type="text" name="biosample_post_fertilization_text_parent" id="biosample_post_fertilization_select_parent" placeholder="time post fertilization">
                        </div>
                        <div data-toggle="tooltip" data-placement="top" id="biosample_developmental_stage_parent">
                            <select id="biosample_developmental_stage_select_parent" class='selectAutoFill form-control' name="biosample_developmental_stage_select_parent" data-filename="developmental_stages"></select>
                        </div>
                        <div data-toggle="tooltip" data-placement="top" id="biosample_anatomical_term_parent">
                            <select id="biosample_anatomical_term_select_parent" class='selectAutoFill' data-subclass='autocomplete' name='biosample_anatomical_term_select_parent' style='width:92%;' data-filename="anatomical_terms"></select>
                        </div>
                        <div data-toggle="tooltip" data-placement="top" id="biosample_sex_parent">
                            <select id="biosample_sex_select_parent" class='selectAutoFill form-control' name="biosample_sex_select_parent" data-filename="sexes"></select>
                        </div>
                        <div data-toggle="tooltip" data-placement="top" id="biosample_controlled_by_parent">
                            <select id="biosample_controlled_by_select_parent" class='form-control' name="biosample_controlled_by_select_parent">
                                <option value="" default selected>Controlled by</option>
                            </select>
                        </div>
                        <div data-toggle="tooltip" data-placement="top" id="biosample_source_parent">
                            <!-- <select id="biosample_source_select_parent" class='selectAutoFill form-control' name="biosample_source_select_parent"></select> -->
                            <!-- <label>Source:</label> -->
                            <input type="text" name="biosample_source_select_parent" id="biosample_source_select_parent" maxlength="200" placeholder="source">
                        </div>
                        <div data-toggle="tooltip" data-placement="top" id="biosample_treatment_parent">
                            <input type="text" name="biosample_treatment_select_parent" id="biosample_treatment_select_parent" maxlength="1000" placeholder="treatment">
                        </div>
                        <div data-toggle="tooltip" data-placement="top" id="biosample_mutation_description_parent">
                            <input type="text" name="biosample_mutation_description_select_parent" id="biosample_mutation_description_select_parent" maxlength="1000" placeholder="mutation description">
                        </div>
                        <div>
                            Select biosamples before selecting attributes.
                            <br>
                            <br> Select biosamples by drawing a selection rectangle around them. Select additional elements or deselect ones by holding cmd on Mac or ctrl on PC and clicking on them.
                        </div>
                    </div>
                </div>
                <input type="button" class="btn btn--assay" value="Enter Assays" id="create_assay_button">
            </section>
            <!--                     <button type="submit" name="biosample_submit" value="biosample_save" class="btn" id="biosample_save" style="border-radius:0px; float:right;">Save</button> -->
            <section id="assay">
                <h2 id="assay_header"><span id="assay_header_section_name" class="header_section_name">Assay</span><span id = "assay_edit_btn" class = "btn--edit">Edit Assay</span><input type="button" id = "assay_apply_btn" class = "btn btn--apply" value = "Apply Changes"><span id="assay_header_title" class="header_title"></span></h2>
                <div id="assay_div">
                    <div id="assay_grid">
                    </div>
                </div>
                <input type="button" class="btn btn--appliedAssay" value="Enter Sequencing Libraries" id="create_appliedAssay_button">
            </section>

            <section id="appliedAssay">
                <h2 id="appliedAssay_header"><span id="appliedAssay_header_section_name" class="header_section_name">Applied Assay</span><span id = "appliedAssay_edit_btn" class = "btn--edit">Edit Applied Assay</span><input type="button" id = "appliedAssay_apply_btn" class = "btn btn--apply" value = "Apply Changes"><span id="appliedAssay_header_title" class="header_title"></span></h2>

                <div id="appliedAssay_div">
                    <div id="appliedAssay_grid" class="col-md-10">
                    </div>
                    <div id="appliedAssay_select" class="col-md-2">
                        <div>
                            <input type="button" name="select_all_bioReplicates" class="btn btn-outline-secondary btn--select_all" value="Select All Replicates" id="appliedAssay_select_all_button">
                        </div>
                        <div id="appliedAssay_selected_count" style="text-align: center;">Selected biological replicates: 0</div>
                        <div id="appliedAssay_assay_select_list">
                        </div>
                    </div>
                </div>
                <input type="button" class="btn btn--sequencing" value="Enter Sequencing" id="create_sequencing_button">
            </section>

            <section id="sequencing">
                <h2 id="sequencing_header"><span id="sequencing_header_section_name" class="header_section_name">Sequencing</span><span id = "sequencing_edit_btn" class = "btn--edit">Edit Sequencing</span><input type="button" id = "sequencing_apply_btn" class = "btn btn--apply" value = "Apply Changes"><span id="sequencing_header_title" class="header_title"></span></h2>

                <div id="sequencing_div">
                    <div id="sequencing_grid" class="col-md-10">
                    </div>
                    <div id="sequencing_select" class="col-md-2">
                        <div id="sequencing_select_buttons">
                            <input type="button" name="select_all_techReplicates" class="btn btn-outline-secondary btn--select_all" value="Select All Replicates" id="sequencing_select_all_button">
                        </div>
                        <div id="sequencing_selected_count" style="text-align: center;">Selected Elements: 0</div>
                        <div data-toggle="tooltip" data-placement="left" id="sequencing_platform_parent">
                            <select id="sequencing_platform_select_parent" class='selectAutoFill form-control' name="sequencing_platform_parent" data-filename="platforms"></select>
                        </div>
                        <div data-toggle="tooltip" data-placement="left" id="sequencing_lab_parent">
                          <a target="_blank" href="/addLab">Add a lab</a>
                            <select id="sequencing_lab_select_parent" class='form-control' name="sequencing_lab_select_parent" data-filename="labs"></select>
                        </div>
                        <div data-toggle="tooltip" data-placement="left" id="sequencing_instrument_parent">
                            <select id="sequencing_instrument_select_parent" class='selectAutoFill form-control' name="sequencing_instrument_parent" data-filename="instruments"></select>
                        </div>
                        <div data-toggle="tooltip" data-placement="left" id="sequencing_paired_end">
                            <span><input type="radio"id="sequencing_mode_single" name = "sequencing_paired_end" value="single end"/> single end<br>
                                    </span>
                            <span><input type="radio" id="sequencing_mode_paired" name = "sequencing_paired_end" value="paired end"/> paired end</span>
                        </div>
                        <div data-toggle="tooltip" data-placement="left" id="sequencing_strand_mode_parent">
                            <select id="sequencing_strand_mode_select_parent" class='selectAutoFill form-control' name="sequencing_strand_mode_parent" data-filename="strand_modes"></select>
                        </div>
                        <div class='input-group date' id='sequencing_date_div_parent'>
                            <input type='text' name="sequencing_date_input_parent" id="sequencing_date_input_parent" class="form-control" />
                            <span class="input-group-addon">
                            <span class="fas fa-calendar-alt"></span>
                            </span>
                        </div>
                        <div data-toggle="tooltip" data-placement="left" id="sequencing_range_parent">
                            <label>Max. read length:</label>
                            <input type="text" name="sequencing_range_input_parent" id="sequencing_range_input_parent">
                        </div>
                        <div data-toggle="tooltip" data-placement="left" id="sequencing_chem_version_parent">
                            <label>Chemistry Version:</label>
                            <input type="text" name="sequencing_chem_version_input_parent" id="sequencing_chem_version_input_parent" maxlength="200">
                        </div>

                    </div>
                </div>
                <input type="button" class="btn btn--data" value="Enter Data" id="create_data_button">
            </section>
                <section id="data">
                <h2 id="data_header"><span id="data_header_section_name" class="header_section_name">Data</span><span id = "data_edit_btn" class = "btn--edit">Edit Data</span><input type="button" id = "data_apply_btn" class = "btn btn--apply" value = "Apply Changes"><span id="data_header_title" class="header_title"></span></h2>
                <div id="data_div">
                    <div id="data_grid">
                    </div>
                    <div id="data_select">
                        <!-- <button type="reset" value="Reset">Reset</button> -->
                    </div>
                </div>
                <button type="button" name="button" class="btn btn--submit btn-success" value="Submit" id="submit_data_button" data-loading-text="<i class='fas fa-circle-notch fa-spin'></i> Processing">Submit</button>
            </section>
            <div id="success_summary">
                <!-- <div id=help_tables>
                    <ul class="nav nav-tabs">
                        <li class="active"><a data-toggle="tab" href="#series_table">{{ seriesTable.Meta.attrs.disp_name }}</a></li>
                        <li><a data-toggle="tab" href="#biosample_type_table">{{ BiosampleTable.Meta.attrs.disp_name }}</a></li>
                    </ul>
                    <div class="tab-content">
                        <div id="series_table" class="tab-pane active">

                        </div>
                    </div>
                </div> -->
            </div>

        </form>
    </main>
</body>
{% endblock %}
